<?xml version="1.0" encoding="UTF-8"?>

<!--
*
* JIMS ( http://forge.scilab.org/index.php/p/JIMS/ ) - This file is a part of JIMS
* Copyright (C) 2010 - 2011 - Calixte DENIZET <calixte@contrib.scilab.org>
*
* This file must be used under the terms of the CeCILL.
* This source file is licensed as described in the file COPYING, which
* you should have received as part of this distribution.  The terms
* are also available at
* http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
*
*
-->

<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="jgetfield">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>jgetfield</refname>
    <refpurpose>Get the field value of a Java object</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      jgetfield(object, fieldName [, unwrap])
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>object</term>
        <listitem>
          <para>A mlist typed _JObj or _JClass or a Scilab variable</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>fieldName</term>
        <listitem>
          <para>A string giving the field name</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>unwrap</term>
        <listitem>
          <para>A single boolean</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      Get the value of the field named fieldName. If the optional third argument is true, then the value is automatically unwrapped.
    </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example">
      <![CDATA[
               c = jcompile("Test", ["public class Test {";
                                     "public int field;";
                                     "public Test(int n) {";
                                     "field = n;";
                                     "}";
                                     "}";]);
               t = c.new(128);
               v = jgetfield(t, "field")

               // or more easier
               junwraprem(t.field)

               jremove c t v;
      ]]></programlisting>
  </refsection>
  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="jsetfield">jsetfield</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Author</title>
    <simplelist type="vert">
      <member>Calixte Denizet</member>
    </simplelist>
  </refsection>
</refentry>
